summaryrefslogtreecommitdiffstats
path: root/source/l/libgphoto2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/l/libgphoto2
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/l/libgphoto2')
-rw-r--r--source/l/libgphoto2/fix-usb_id-callout-for-udev-175.diff12
-rwxr-xr-xsource/l/libgphoto2/libgphoto2.SlackBuild25
-rw-r--r--source/l/libgphoto2/slack-desc6
3 files changed, 35 insertions, 8 deletions
diff --git a/source/l/libgphoto2/fix-usb_id-callout-for-udev-175.diff b/source/l/libgphoto2/fix-usb_id-callout-for-udev-175.diff
new file mode 100644
index 000000000..fe65dabdb
--- /dev/null
+++ b/source/l/libgphoto2/fix-usb_id-callout-for-udev-175.diff
@@ -0,0 +1,12 @@
+diff -Nur libgphoto2-2.4.11.orig/packaging/generic/print-camera-list.c libgphoto2-2.4.11/packaging/generic/print-camera-list.c
+--- libgphoto2-2.4.11.orig/packaging/generic/print-camera-list.c 2011-04-06 16:42:09.000000000 -0500
++++ libgphoto2-2.4.11/packaging/generic/print-camera-list.c 2011-12-10 20:31:37.621092267 -0600
+@@ -409,7 +409,7 @@
+ "ACTION!=\"add\", GOTO=\"libgphoto2_rules_end\"\n"
+ "SUBSYSTEM!=\"usb\", GOTO=\"libgphoto2_usb_end\"\n"
+ "ENV{DEVTYPE}!=\"usb_device\", GOTO=\"libgphoto2_usb_end\"\n\n"
+- "ENV{ID_USB_INTERFACES}==\"\", IMPORT{program}=\"usb_id --export %%p\"\n"
++ "ENV{ID_USB_INTERFACES}==\"\", IMPORT{builtin}=\"usb_id\"\n"
+ /* ignore mass storage class having devices in mark-up */
+ "ENV{ID_USB_INTERFACES}==\"*:08*:*\", GOTO=\"libgphoto2_usb_end\"\n"
+ /* shortcut the most common camera driver, ptp class, so we avoid parsing 1000
diff --git a/source/l/libgphoto2/libgphoto2.SlackBuild b/source/l/libgphoto2/libgphoto2.SlackBuild
index ad1a0e7e2..989653a4c 100755
--- a/source/l/libgphoto2/libgphoto2.SlackBuild
+++ b/source/l/libgphoto2/libgphoto2.SlackBuild
@@ -24,7 +24,7 @@
PKGNAM=libgphoto2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -72,6 +72,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# udev-175 bundles usb_id into the udevd binary
+zcat $CWD/fix-usb_id-callout-for-udev-175.diff.gz | patch -p1 || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -111,8 +114,8 @@ LIBDIR=$PKG/usr/lib${LIBDIRSUFFIX}
export LD_LIBRARY_PATH CAMLIBS LIBDIR
# Generate udev rules
mkdir -p $PKG/lib/udev/rules.d
-$PKG/usr/bin/print-camera-list udev-rules mode 0660 owner root group plugdev \
- > $PKG/lib/udev/rules.d/90-libgphoto2.rules
+$PKG/usr/bin/print-camera-list udev-rules version 136 mode 0660 owner root group plugdev \
+ > $PKG/lib/udev/rules.d/40-libgphoto2.rules
# Generate fdi files
mkdir -p $PKG/usr/share/hal/fdi/information/20thirdparty
$PKG/usr/bin/print-camera-list hal-fdi \
@@ -121,8 +124,20 @@ $PKG/usr/bin/print-camera-list hal-fdi-device \
> $PKG/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2-device.fdi
unset LD_LIBRARY_PATH CAMLIBS LIBDIR # Unset these just in case
-# Compress man pages
-find $PKG/usr/man -type f -exec gzip -9 {} \;
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
diff --git a/source/l/libgphoto2/slack-desc b/source/l/libgphoto2/slack-desc
index 9de29cbeb..dbc51e5c1 100644
--- a/source/l/libgphoto2/slack-desc
+++ b/source/l/libgphoto2/slack-desc
@@ -5,11 +5,11 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
libgphoto2: libgphoto2 (Digital Camera Library)
libgphoto2:
-libgphoto2: libgphoto2 is a library that can be used by
-libgphoto2: applications to access various digital cameras.
+libgphoto2: libgphoto2 is a library that can be used by applications to access
+libgphoto2: various digital cameras.
libgphoto2:
libgphoto2: Homepage: http://www.gphoto.org/
libgphoto2: